routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware(['auth:web'])->group(function (){
    Route::get('/home', 'HomeController@index')->name('home');
    Route::resource('user' , 'UsersController');
    Route::resource('patients-cases' , 'PatientsCasesController');
    Route::get('patientConfirmation' , 'PatientsCasesController@patientConfirmation')->name('patients-cases.patientConfirmation');
    Route::get('doctorConfirmation' , 'PatientsCasesController@doctorConfirmation')->name('patients-cases.doctorConfirmation');
    Route::get('setAppointment/{id}' , 'PatientsCasesController@setAppointment')->name('patients-cases.setAppointment');
    Route::post('setAppointment' , 'PatientsCasesController@setNewAppointment')->name('setAppointment');
    Route::post('getDoctors' , 'UsersController@getDoctors')->name('getDoctors');
});

Route::get('/', function () {
    return view('welcome');
})->name('welcome');

Route::get('logout', function (){
    auth()->logout();
    return redirect()->route('welcome');
});
Auth::routes();

resources/views/dashboard/components/partials/cases.blade.php
<div class="mdl-card mdl-shadow--2dp employer-form" action="#">
    <div class="mdl-card__title">
        <h2>Open New Case</h2>
    </div>

    <div class="mdl-card__supporting-text">
        <form action="{{ route('patients-cases.store') }}" method="post" class="form">
            @csrf
            <div class="form__article employer-form__general_skills">
                <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label getmdl-select full-size">
                    <select class="mdl-textfield__input" name="pain_type_id" required style="color: #00bcd4;background: #444;">
                        <option value="">Select Pain Type</option>
                        @foreach(\App\Model\PainType::query()->get() as $pain)
                            <option value="{{ $pain->id }}" {{ old('paint_type_id', auth()->user()->paint_type_id == $pain->id ? "selected" : "") }}>
                                {{ $pain->name }}</option>
                        @endforeach
                    </select>
                    @error('pain_type_id')
                    <div class="error">{{ $message }}</div>
                    @enderror
                </div>

                <h3>Case Description</h3>

                <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label is-upgraded" data-upgraded=",MaterialTextfield">
                    <textarea class="mdl-textfield__input" type="text" rows="3" name="case_description"> </textarea>
                </div>
                @error('case_description')
                <div class="error">{{ $message }}</div>
                @enderror
            </div>

            <div class="form__action">
                <button type="submit" id="submit_button" class="mdl-button mdl-js-button mdl-button--raised mdl-button--colored" data-upgraded=",MaterialButton">
                    Submit
                </button>
            </div>
        </form>
    </div>
</div>
<div class="mdl-grid ui-tables">
    <div class="mdl-cell mdl-cell--12-col-desktop mdl-cell--12-col-tablet mdl-cell--12-col-phone">
        <div class="mdl-card mdl-shadow--2dp">
            <div class="mdl-card__title">
                <h1 class="mdl-card__title-text">My Cases</h1>
            </div>
            <div class="mdl-card__supporting-text no-padding">
                <table class="mdl-data-table mdl-js-data-table bordered-table" data-upgraded=",MaterialDataTable">
                    <thead>
                    <tr>
                        <th class="mdl-data-table__cell--non-numeric">Reference #no</th>
                        <th class="mdl-data-table__cell--non-numeric">Pain</th>
                        <th class="mdl-data-table__cell--non-numeric">Description</th>
                        <th class="mdl-data-table__cell--non-numeric">Doctor</th>
                        <th class="mdl-data-table__cell--non-numeric">Appointment</th>
                        <th class="mdl-data-table__cell--non-numeric">Status</th>
                        <th class="mdl-data-table__cell--non-numeric">Action</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach($cases as $case)
                        <tr>
                            <td class="mdl-data-table__cell--non-numeric">{{ $case->reference }}</td>
                            <td class="mdl-data-table__cell--non-numeric">{{ $case->pain->name }}</td>
                            <td class="mdl-data-table__cell--non-numeric"><span class="limit-str">{{ $case->case_description }}</span></td>
                            <td class="mdl-data-table__cell--non-numeric">{{ optional($case->doctor)->name }}</td>
                            <td class="mdl-data-table__cell--non-numeric">{{ $case->appointment }}</td>
                            <td class="mdl-data-table__cell--non-numeric">
                                <ul>
                                    @if($case->doctor_confirmation == 1)
                                        <li>Doctor Confirm Appointment</li>
                                    @endif
                                </ul>
                            </td>
                            <td class="mdl-data-table__cell--non-numeric">
                                @if($case->appointment && $case->doctor_confirmation !== 2)
                                    @if($case->patient_confirmation == 0)
                                        <a href="{{ route('patients-cases.patientConfirmation' , ['patient_confirmation'=>1,'id'=>$case->id]) }}" class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect button--colored-purple">Confirm</a>
                                        <a href="{{ route('patients-cases.patientConfirmation' , ['patient_confirmation'=>2,'id'=>$case->id]) }}" class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect button--colored-red">Reschedule</a>
                                    @elseif($case->doctor_confirmation == 2)
                                        Doctor Need Reschedule Appointment
                                    @elseif($case->patient_confirmation == 1 && $case->doctor_confirmation == 1)
                                        Confirmed
                                        @else
                                        Witting Doctor Confirmation
                                    @endif
                                @elseif($case->doctor_confirmation == 2)
                                    Doctor Need Reschedule Appointment ( Witting Admin Action )
                                @else
                                    Witting Admin Action
                                @endif
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>

</div>

resources/views/dashboard/components/partials/profileInfo.blade.php
<div class="mdl-cell mdl-cell--6-col-desktop mdl-cell--6-col-tablet mdl-cell--6-col-phone">
    <div class="mdl-card mdl-shadow--2dp">
        <div class="mdl-card__title">
            <h5 class="mdl-card__title-text text-color--white">Complete PROFILE INFO</h5>
        </div>
        <div class="mdl-card__supporting-text">
            <form class="form form--basic" action="{{ route('user.update' , auth()->id()) }}" method="post">
                @csrf
                @method('PUT')
                <div class="mdl-grid">
                    <div class="mdl-cell mdl-cell--8-col-desktop mdl-cell--8-col-tablet mdl-cell--4-col-phone form__article">
                        <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label full-size">
                            <input class="mdl-textfield__input" type="text" value="{{ old('first_name', auth()->user()->first_name) }}" name="first_name" required autocomplete="off">
                            <label class="mdl-textfield__label" for="profile-floating-first-name">First Name</label>
                            @error('first_name')
                            <div class="error">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label full-size">
                            <input class="mdl-textfield__input" type="text" value="{{ old('last_name', auth()->user()->last_name) }}" name="last_name" required autocomplete="off">
                            <label class="mdl-textfield__label" for="profile-floating-last-name">Last Name</label>
                            @error('last_name')
                            <div class="error">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label full-size">
                            <input class="mdl-textfield__input" type="email" value="{{ old('email', auth()->user()->email) }}"  name="email" required autocomplete="off">
                            <label class="mdl-textfield__label" for="floating-e-mail">Email</label>
                            @error('email')
                            <div class="error">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label full-size">
                            <input class="mdl-textfield__input" type="text" value="{{ old('mobile',auth()->user()->mobile) }}" name="mobile" required autocomplete="off">
                            <label class="mdl-textfield__label" for="floating-e-mail">Mobile</label>
                            @error('mobile')
                            <div class="error">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label full-size">
                            <input class="mdl-textfield__input" id="datetime" type="text" value="{{ old('birthday',auth()->user()->birthday) }}" name="birthday" required autocomplete="off">
                            <label class="mdl-textfield__label" for="floating-e-mail">Birthday</label>
                            @error('birthday')
                            <div class="error">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label full-size">
                            <input class="mdl-textfield__input" type="text" value="{{ old('occupation',auth()->user()->occupation) }}" name="occupation" required autocomplete="off">
                            <label class="mdl-textfield__label" for="floating-e-mail">Occupation</label>
                            @error('occupation')
                            <div class="error">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label getmdl-select full-size">
                            <select class="mdl-textfield__input" name="gender" required style="color: #00bcd4;background: #444;">
                                <option value="">Select gender</option>
                                <option value="1" {{ old('gender', auth()->user()->gender == 1 ? "selected" : "") }}>Male</option>
                                <option value="2" {{ old('gender', auth()->user()->gender == 2 ? "selected" : "") }}>Female</option>
                            </select>
                            @error('gander')
                            <div class="error">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label getmdl-select full-size">
                            <select class="mdl-textfield__input" name="country_id" required style="color: #00bcd4;background: #444;">
                                <option value="">Select Country</option>
                                @foreach(\App\Model\Country::query()->get() as $country)
                                    <option value="{{ $country->id }}" {{ old('country_id', auth()->user()->paint_type_id == $country->id ? "selected" : "") }}>
                                        {{ $country->name }}</option>
                                @endforeach
                            </select>
                            @error('gander')
                            <div class="error">{{ $message }}</div>
                            @enderror
                        </div>

                        <button type="submit" class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect button--colored-purple" data-upgraded=",MaterialButton,MaterialRipple">
                            Update
                            <span class="mdl-button__ripple-container"><span class="mdl-ripple is-animating" style="width: 262.161px; height: 262.161px; transform: translate(-50%, -50%) translate(62px, 4px);"></span></span></button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@push('scripts')
    <script>
        $(function() {
            $('#datetime').datetimepicker({
                theme: 'dark'
            });
        })
    </script>
@endpush